1 Reply Latest reply on Nov 7, 2009 3:58 PM by Flex harUI

    Flex RSL issue with SDK version change?

    mk_ananth

      Hi Friends!

           I am facing very crucial common problem when using Flex RSL feature.

       

      ProblemMy Custom component library is compiled with Flex 3.0 and more than 50 applications are using it. Now some of our new applications needs to use the features from Flex 3.2 SDK(like increased control width and height) and those controls should also be in same library.

       

      So, the library should be common for application which are using 3.0 as well as 3.2.

       

      My requirement is

      "Without recompiling all Flex 3.0 applications, I need to run both Flex 3.0 and 3.2 applications using library compiled in Flex 3.2"

       

      now I am getting some errors like,

           Error #1063: Argument count mismatch on mx.core::CrossDomainRSLItem()  -- from systemmanager

           VerifyError: Error #1053 -- mx.managers.SystemManagerProxy.

           ReferenceError: Error #1065: Variable _*_mx_managers_SystemManager

       

      Is it possible to win this?

       

      I hope flex is having backward compatibility.

       

      Please help me on this.

       

      Thanks,

      Ananth.